/*SETUP*/
:root{
      --button-base: #006eff;
      --button-hover: #004aac;
      --base-color: rgb(16, 19, 27);
      --text-color: rgb(181, 228, 255);
      --link-color: #ffffff;
      --link-hover-mask: rgba(255, 255, 255, 0.767);
      --reg-log-page: rgb(75, 75, 75);
      --input-field-color: rgb(209, 209, 209);
}

body {
      background-color: var(--base-color);
      color: var(--text-color);
      font-family: Arial, sans-serif;
}
/*DARKMODE*/
.darkmode{
      --button-base: #006eff;
      --button-hover: #003c8a;
      --base-color: white;
      --text-color: #111528;
      --link-color: #111528;
      --link-hover-mask: #00000027;
      --reg-log-page: rgb(167, 167, 167);
      --input-field-color: rgb(146, 146, 146);
}

#theme-switch {
  height: 50px;
  width: 50px;
  padding: 0;
  border-radius: 50%;
  background-color: var(--button-base);
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 20px;
  right: 20px;
  cursor: pointer;
  border: none;
  transition: background-color 0.4s ease-out, transform 0.3s ease-out;
}
#theme-switch:hover {
  background-color: var(--button-hover);
}
#theme-switch svg {
  position: absolute;
  width: 24px;
  height: 24px;
  fill: var(--base-color);
  transition:
    transform 0.5s cubic-bezier(.4, 0, .2, 1),
    opacity 0.4s ease;
}

#theme-switch .sun {
  opacity: 1;
  transform: rotate(0deg) scale(1);
}

#theme-switch .moon {
  opacity: 0;
  transform: rotate(-90deg) scale(0.5);
}

.darkmode #theme-switch .sun {
  opacity: 0;
  transform: rotate(90deg) scale(0.5);
}

.darkmode #theme-switch .moon {
  opacity: 1;
  transform: rotate(0deg) scale(1);
}

/*Link Setup*/
.center {
  display: grid;
  place-items: center; /* Zentriert Elemente sowohl horizontal als auch vertikal */
  width: auto;
}
.links {
  width: auto;
  
  color: var(--link-color);
  padding: 25px;
  font-size: 35px;
}

a {
  color: var(--link-color);
  opacity: 0.8;
  transition: color 0.3s ease-out, transform 0.3s ease-out;
}
a:hover {
  color: var(--link-hover-mask);
}
/*Other Info*/
.info {
  font-size: 10px;
  opacity: 0.5;
  position: fixed;
  bottom: 5px;
  left: 8px;
}

.copyright {
  left: 42%;
}
/*Games Not Available Warning Box*/
.warning_box {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 25px;
  background: rgba(255, 238, 0, 0.2);
  padding: 10px;
  font-size: 20px;
  border-radius: 25px;
  border: 3px solid rgba(255, 238, 0, 0.3);
  -webkit-backdrop-filter: blur(2px);
  backdrop-filter: blur(2px);
  transition: 3ms;
}
/*Games Select Page*/
.box {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 25px;
  background-color: #9500c2;
  padding: 10px;
  margin: 50px;
  font-size: 40px;
}

/*WELCOME ON HOMEPAGE*/
.willkommen {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--text-color);
  font-size: 80px;
  padding: 30px;
  font-weight: bold;
}
.not_found {
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--text-color);
  font-size: 30px;
  padding: 30px;
  font-weight: bold;
}
/*The Login/Signup Page*/
.register_box {
  min-width: 300px;
  max-width: 600px;
  border: solid 2px var(--reg-log-page);
  border-radius: 10px;
  align-items: center;
}
.Login-Signup-box-Header{
  background-color: var(--reg-log-page); 
  border-radius: 5px;
  color: var(--text-color);
  font-size: large;
}
.Login-Signup-button {

  text-align: center;
  width: 130px;
  cursor: pointer;
  border-radius: 5px;
  background-color: var(--button-base);
  height: 40px;
  font-size: large;
  border-width: 0px;
  transition: background-color 0.3s ease-out, transform 0.3s ease-out;
}
.Login-Signup-button:hover {
  background-color: var(--button-hover);
}
.Login-Signup-label {
  padding: 30px;
  display: flex;
  flex-direction: column;
  font-size: large;
}
.Login-Signup-input {
  border-radius: 10px;
  border-width: 0px;
  width: 400px;
  height: 50px;
  font-size: large;
  text-align: center;
  background-color: var(--input-field-color);
}
.Login-Signup-got-or-not-have-acc {
  font-size: small;
}
.feedbackbox {
  font-size: 11px; 
  margin-bottom: 15px;
}
#success {
  color: #009900; 
} 
#fail {
  color: #cc0000;
}
/*Changelog Start*/
h1 {
  text-align: center;
}
code {
  background-color: var(--reg-log-page);
  padding: 2px;
  border-radius: 5px;
  font-family: 'Courier New', Courier, monospace;
  color: var(--text-color);
}
.nicebox {
  margin: auto;
  margin-top: 60px;
  position: relative;
  font-family: Arial, Helvetica, sans-serif;
  background-color: #1a1a1a;
  max-width: 600px;
  min-height: auto;
  border-radius: 20px;
  border: 1px solid rgb(36, 36, 36);
}
.nicebox .title-nicebox {
  font-size: 30px;
  padding-left: 120px;
  padding-top: 30px;
  color: #cccccc;
}
.nicebox .description-nicebox {
  font-size: 15px;
  padding-left: 120px;
  padding-top: 13px;
  padding-right: 100px;
  color: #757575;
}
.nicebox .button {
  width: 50px;
  height: 25px;
  border: 0;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 12px;
  cursor: pointer;
  overflow: hidden;
  position: absolute;
  top: 25px;
  right: 20px;
  transition: background-color 0.3s ease transform 0.3;
}

.nicebox .button .btn-text,
.nicebox .button .btn-icon {
  position: absolute;
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.nicebox .button .btn-icon {
  opacity: 1;
  transform: scale(1);
  width: 16px;
  height: 16px;
}

.nicebox .button .btn-text {
  opacity: 0;
  transform: scale(0.8);
  font-weight: bold;
}

.nicebox .button:hover .btn-icon {
  opacity: 0;
  transform: scale(0.8);
}

.nicebox .button:hover .btn-text {
  opacity: 1;
  transform: scale(1.0);
}
#added {
  color: #54cb7b;
  background-color: #54cb7c81;
}

#fixed{
  color: #c4c24a;
  background-color: #b6b443b2;
}
#removed{
  color: #ec6d6d;
  background-color: #be5757af;
}
.icon {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  top: 30px;
  left: 30px;
  border-radius: 10px;
  background: linear-gradient(to bottom left, #ef625a, #f33868);
  width: 50px;
  height: 50px;
}

.nicefield {
  font-family: "Inter", sans-serif;
  font-size: 20px;
  border: 0.5px solid #2f2f2f;
  border-radius: 15px;
  background-color: #252525;
  max-width: 550px;
  max-height: 400px;
  min-height: 200px;
  position: relative;
  margin: 30px 25px; 
}
.nicefield .desc {
  font-size: 15px;
  padding-left: 17px;
  padding-top: 13px;
  padding-right: 100px;
  color: #757575;
}
ul {
  display: flex;
  list-style-type: none; /* Entfernt die Standard-Punkte */
  padding: 5px;
  margin: 0;
  border-bottom: 2px solid #2f2f2f; /* Linie unten */
}
li {
  padding: 10px;
}
.category {
  height: 25px;
  width: 80px;
  border: 0;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 12px;
  cursor: pointer;
  overflow: visible;
  position: absolute;
  bottom: 10px;
  left: 70px;
  position: absolute;
  background-color: #53535363;
  transition: opacity 0.3s ease, transform 0.3s ease;
}
.type {
  width: 50px;
  height: 25px;
  border: 0;
  border-radius: 4px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-size: 12px;
  cursor: pointer;
  overflow: visible;
  position: absolute;
  bottom: 10px;
  left: 10px;
  position: absolute;
  transition: opacity 0.3s ease, transform 0.3s ease;
}
.category:hover,
.type:hover {
  transform: scale(1.1);
}
/*Changelog End*/